import 'dart:convert';
import 'dart:math';
import 'dart:typed_data';

import 'package:test/test.dart';
import 'package:yona_crypto/utils.dart';

void main() {
  test("equal<int>", () {
    var list1 = randBytes(100).toList();
    var list2 = List<int>.from(list1);
    var list3 = List<int>.from(list1);
    list3[list3.length - 1] += 1;
    assert(true == equal(list1, list2));
    assert(false == equal(list1, list3));
  });
  test("equal<Uint8List>", () {
    var list1 = randBytes(100);
    var list2 = Uint8List.fromList(list1.toList());
    var list3 = Uint8List.fromList(list1.toList());
    list3[list3.length - 1] += 1;
    assert(true == equal(list1, list2));
    assert(false == equal(list1, list3));
  });
  test("equal<String>", () {
    var list1 = base64Encode(randBytes(100)).split('');
    var list2 = list1.join('').split('');
    var list3 = [""];
    assert(true == equal(list1, list2));
    assert(false == equal(list1, list3));
  });
  test("randBytesLength", () {
    var len = Random.secure().nextInt(500);
    var rand = randBytes(len);
    assert(rand.length == len);
  });
}
